Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::Reservable Struct Reference
Inheritance diagram for ranges::v3::concepts::Reservable:

## Public Member Functions
template<typename C , typename S = concepts::SizedRange::size_t<C>>
auto | requires_ (C &&c, const C &&cc=C{}, S &&s=S{}) -> decltype(concepts::valid_expr(concepts::has_type< S >(cc.capacity()), concepts::has_type< S >(cc.max_size()),((void) c.reserve(s), 42)))
Public Member Functions inherited from ranges::v3::concepts::refines< Container, SizedRange >
void | requires_ ()

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< Container, SizedRange >
using | base_concepts_t = meta::list< Concepts... >